package color_test

import (
	"fmt"
	"testing"

	"git.urbach.dev/go/color"
)

func TestHSVSpectrum(t *testing.T) {
	color.Terminal = true
	color.TrueColor = true

	for value := range 21 {
		for hue := range 80 {
			h := color.Value(hue) * 4.4
			s := color.Value(1.0)
			v := color.Value(value) * 0.05

			c := color.HSV(h, s, v)
			c.Print("█")
		}

		fmt.Println()
	}
}